com.threerings.whirled.server

## Interface SceneProvider

All Superinterfaces:
  com.threerings.presents.server.InvocationProvider

All Known Implementing Classes:
  SceneRegistry, SpotSceneRegistry

    @Generated(value="com.threerings.presents.tools.GenServiceTask",
               comments="Derived from SceneService.java.")
    public interface SceneProvider
    extends com.threerings.presents.server.InvocationProvider

Defines the server-side of the `SceneService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `moveTo(com.threerings.presents.data.ClientObject caller, int arg1, int arg2, SceneService.SceneMoveListener arg3)` Handles a `SceneService.moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` request.

### Method Detail

#### moveTo

    void moveTo(com.threerings.presents.data.ClientObject caller,
                int arg1,
                int arg2,
                SceneService.SceneMoveListener arg3)
         throws com.threerings.presents.server.InvocationException

Handles a `SceneService.moveTo(int, int, com.threerings.whirled.client.SceneService.SceneMoveListener)` request.

Throws:
  `com.threerings.presents.server.InvocationException`